@import url('https://fonts.googleapis.com/css2?family=Krona+One&family=Montserrat:wght@400;600&display=swap');

:root {
    --cor-primaria: #000000;
    --cor-secundaria: #F6F6F6;
    --cor-terciaria: #22D4FD;
    --cor-hover: #272727;

    --fonte-primaria: "Krona One", sans-serif;
    --fonte-secundaria: "Montserrat", sans-serif;
}

* {
    margin: 0;
    padding: 0;
}

body {
    box-sizing: border-box;
    background-color: var(--cor-primaria);
    color: var(--cor-secundaria);
}

header{
    padding: 2% 0 0 15%;
}

header nav{
    display: flex;
    gap: 80px;
}

header nav a{
    color: var(--cor-terciaria);
    font-family: var(--fonte-secundaria);
    font-size: 1.5rem;
    font-weight: 600;
    text-decoration: none;
}

main {
    padding: 5% 15%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 82px;
}

section {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.apresentacao__imagem{
    width: 50%;
}

h1 {
    font-size: 2rem;
    font-family: var(--fonte-primaria);
}

strong {
    color: var(--cor-terciaria);
}

p {
    font-size: 1.5rem;
    font-family: var(--fonte-secundaria);
}

.links {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    gap: 32px;
}

h2{
    font-family: 'Krona One', sans-serif;
    font-weight: 400;
    font-size: 1.5rem;
}

.links a{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
    width: 50%;
    padding: 21.5px 0;
    font-size: 1.5rem;
    font-weight: 600;
    text-decoration: none;
    color: var(--cor-secundaria);
    font-family: var(--fonte-secundaria);
    background-color: transparent;
    border: solid var(--cor-terciaria) 2px;
    border-radius: 8px;
    transition: all .3s;
}

.links a:hover{
    background-color: var(--cor-hover);
    color: var(--cor-secundaria);
    box-shadow: 0 0 11px 0 var(--cor-terciaria);
}

footer{
    padding: 24px;
    text-align: center;
    font-weight: 400;
    font-size: 1.5rem;
    font-family: var(--fonte-secundaria);
    color: var(--cor-primaria);
    background-color: var(--cor-terciaria);
}

@media screen and (min-width: 1000px) and (max-width: 1530px) {
    main {
        gap: 20px;
    }
}

@media screen and (max-width: 1440px){
    .links{
        gap: 18px;
    }
}

@media screen and (max-width: 1200px) {
    main{
        flex-direction: column-reverse;
        padding: 5%;
        gap: 50px;
    }
    
    section{
        width: auto;
    }

    header{
        padding: 10%;
    }
    
    nav{
        display: flex;
        justify-content: center;
    }
}

@media screen and (min-width: 300px) and (max-width: 800px) {
    main{
        padding: 0;
        margin: 7% 35px;
        flex-wrap: wrap;
    }
    h1{
        font-size: 25px;
    }
    p{
        font-size: 21px;
    }
    .links{
        flex-direction: column;
        gap: 20px;
    }
}